            #GIT_CMT=2063b8a4a3161c3d8da7dc542e33464aca5b5993
%global flavor ora

Name:           libibacl
Version:        1.0
Release:        8%{?dist}%{?flavor}
Summary:        Library and utilities to develop Access Control applications (Oracle Extensions)
Group:          Development/Libraries
License:        BSD
Vendor:         Oracle Corp.
Source: libibacl-1.0.tar.bz2
Prefix:         %{_prefix}
Packager:       Yuval Shaia
BuildRoot:      %{name}-%{version}
BuildRequires:  glibc glib2-devel

%description -n %{name}
Library and utilities to develop Access Control applications

For use on Oracle Linux systems running the Oracle Database Virtual OS layer.


%prep
%setup -q

%build
make

%install
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_bindir}
cp %_builddir/%{name}-%{version}/lib/%{name}.so.%{version} %{buildroot}%{_libdir}
cp %_builddir/%{name}-%{version}/include/ibacl.h %{buildroot}%{_includedir}
cp %_builddir/%{name}-%{version}/utils/ibacl_enable.c.bin %{buildroot}%{_bindir}/ibacl_enable
cp %_builddir/%{name}-%{version}/utils/ibacl_disable.c.bin %{buildroot}%{_bindir}/ibacl_disable
cp %_builddir/%{name}-%{version}/utils/ibacl_get_state.c.bin %{buildroot}%{_bindir}/ibacl_get_state
cp %_builddir/%{name}-%{version}/utils/ibacl_get_instances.c.bin %{buildroot}%{_bindir}/ibacl_get_instances
cp %_builddir/%{name}-%{version}/utils/ibacl_add_instance.c.bin %{buildroot}%{_bindir}/ibacl_add_instance
cp %_builddir/%{name}-%{version}/utils/ibacl_del_instance.c.bin %{buildroot}%{_bindir}/ibacl_del_instance
cp %_builddir/%{name}-%{version}/utils/ibacl_get_list.c.bin %{buildroot}%{_bindir}/ibacl_get_list
cp %_builddir/%{name}-%{version}/utils/ibacl_add_to_list.c.bin %{buildroot}%{_bindir}/ibacl_add_to_list
cp %_builddir/%{name}-%{version}/utils/ibacl_del_from_list.c.bin %{buildroot}%{_bindir}/ibacl_del_from_list
cp %_builddir/%{name}-%{version}/utils/ibacl_add_guid_range_to_list.c.bin %{buildroot}%{_bindir}/ibacl_add_guid_range_to_list
cp %_builddir/%{name}-%{version}/utils/ibacl_del_guid_range_from_list.c.bin %{buildroot}%{_bindir}/ibacl_del_guid_range_from_list

%check

%clean
rm -fr %{_builddir}/%{name}-%{version}
rm -fr %{buildroot}

%files
%doc COPYING
%{_libdir}/%{name}.so.%{version}
%{_includedir}/ibacl.h
%{_bindir}/ibacl_enable
%{_bindir}/ibacl_disable
%{_bindir}/ibacl_get_state
%{_bindir}/ibacl_get_instances
%{_bindir}/ibacl_add_instance
%{_bindir}/ibacl_del_instance
%{_bindir}/ibacl_get_list
%{_bindir}/ibacl_add_to_list
%{_bindir}/ibacl_del_from_list
%{_bindir}/ibacl_add_guid_range_to_list
%{_bindir}/ibacl_del_guid_range_from_list

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Fri Nov 09 2018 Aron Silverton <aron.silverton@oracle.com> - 0:1.0-8
- BUILDINFO: commit=2063b8a4a3161c3d8da7dc542e33464aca5b5993
- spec: Change "vos" to "ora" and update summaries and descriptions [Orabug: 29128747]

* Mon Aug 27 2018 Aron Silverton <aron.silverton@oracle.com> - 0:1.0-7
- Add "vos" to RPM release number (Aron Silverton) [Orabug 28550856]

* Tue Mar 06 2018 Aron Silverton <aron.silverton@oracle.com> - 1.0-6
- libibacl: Fix rpmlint issues [Orabug: 27648148]
- libibacl: Cannot delete ACLs using a range of GUID (Ka-Cheong Poon) [Orabug: 27532785]

* Wed Aug 30 2017 Ka-Cheong Poon <ka-cheong.poon@oracle.com> - 1.0-5
  - [Orabug: 26646620] Add IPv6 support to libibacl

* Thu Jan 19 2017 Mukesh Kacker <mukesh.kacker@oracle.com>
- Add BSD copyright text and related fixes

* Wed Jan 20 2016 Yuval Shaia <yuval.shaia@oracle.com>
- Initial Revision
